%{
    All of the bagpipe specific markup.
        
    $Id: cheatsheet.ly 77 2005-07-11 10:17:54Z sven $
%}

\version "2.6.0"

% Choose a size
#(set-global-staff-size 18)
#(set-default-paper-size "a4" 'landscape)

\include "bagpipe.ly"

\paper {
  indent = 0\mm
  raggedright = ##t
  raggedbottom = ##t
}
\layout {
    indent = 35\mm
    \context {
        \Staff
        \remove "Bar_engraver"
        \remove "Time_signature_engraver"
    }
}

\header {
    title = "Cheat sheet for entering bagpipe music"
    subtitle = "Intended for Lilypond 2.6 or better"
    tagline = \markup { "P/S Sven Axelsson, MPD" }
}

\score {
    {
    \set Staff.instrument = "Plain notes "
    G4 a b c d e f g A
    }
    \addlyrics { 
    G a b c d e f g A 
    }
}

\score {
    {
    \set Staff.instrument = "Single grace notes "
    \grG a4 \gra a \grb a \grc a \grd a 
    \gre a \grf a \grg a \grA a
    }
    \addlyrics { 
    \skip 32 "\grG" 
    \skip 32 "\gra" 
    \skip 32 "\grb" 
    \skip 32 "\grc" 
    \skip 32 "\grd" 
    \skip 32 "\gre" 
    \skip 32 "\grf" 
    \skip 32 "\grg" 
    \skip 32 "\grA" 
    }
}

\score {
    {
    \set Staff.instrument = "Doublings "
    \dblG G \dbla a \dblb b \dblc c \dbld d
    \dble e \dblf f \dblg g \dblA A
    \hdblf f \tdblf f
    }
    \addlyrics { 
    \skip 32 \skip 32 \skip 32 "\dblG" 
    \skip 32 \skip 32 \skip 32 "\dbla" 
    \skip 32 \skip 32 \skip 32 "\dblb" 
    \skip 32 \skip 32 \skip 32 "\dblc" 
    \skip 32 \skip 32 \skip 32 "\dbld" 
    \skip 32 \skip 32 \skip 32 "\dble" 
    \skip 32 \skip 32 \skip 32 "\dblf" 
    \skip 32 \skip 32 "\dblg" 
    \skip 32 \skip 32 "\dblA" 
    \skip 32 \skip 32 "\hdblf" 
    \skip 32 \skip 32 \skip 32 "\\tdblf"
    }
}
\markup { "All other half doublings and thumb doublings are available similarly." }

\score {
    {
    \set Staff.instrument = "Shakes "
    \shakea a \shakeb b \shakec c \shaked d
    \shakee e \shakef f \shakeg g \shakeA A
    \hshakef f \tshakef f
    }
    \addlyrics { 
    \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\shakea" 
    \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\shakeb" 
    \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\shakec" 
    \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\shaked" 
    \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\shakee" 
    \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\shakef" 
    \skip 32 \skip 32 \skip 32 \skip 32 "\shakeg" 
    \skip 32 \skip 32 \skip 32 \skip 32 "\shakeA" 
    \skip 32 \skip 32 \skip 32 \skip 32 "\hshakef" 
    \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\\tshakef"
    }
}
\markup { "All other half shakes and thumb shakes are available similarly. " 
          "Note that many of these aren't really playable, and are only included for consistency." }

\score {
    {
    \set Staff.instrument = "Slurs "
    \slura a \slurb b \slurc c \slurd d
    \slure e \slurf f \slurg g \slurA A
    \hslurf f \tslurf f
    }
    \addlyrics { 
    \skip 32 \skip 32 \skip 32 "\slura" 
    \skip 32 \skip 32 \skip 32 "\slurb" 
    \skip 32 \skip 32 \skip 32 "\slurc" 
    \skip 32 \skip 32 \skip 32 "\slurd" 
    \skip 32 \skip 32 \skip 32 "\slure" 
    \skip 32 \skip 32 \skip 32 "\slurf" 
    \skip 32 \skip 32 \skip 32 "\slurg" 
    \skip 32 \skip 32 "\slurA" 
    \skip 32 \skip 32 "\hslurf" 
    \skip 32 \skip 32 \skip 32 "\\tslurf"
    }
}
\markup { "All other half slurs and thumb slurs are available similarly. " 
          "Note that many of these aren't really playable, and are only included for consistency." }

\score {
    \header { piece = " " breakbefore = ##t }
    {
    \set Staff.instrument = "Throws and more "
    a \thrwd d G \Gthrwd d
    a \grip c a \dgrip d a \egrip c \gripb b \gripc c
    \birl a \wbirl a \gbirl a \dbirl a
    }
    \addlyrics { 
    \skip 4 \skip 32 \skip 32 \skip 32 "\\thrwd" 
    \skip 4 \skip 32 \skip 32 "\Gthrwd" 
    \skip 4 \skip 32 \skip 32 \skip 32 "\grip" 
    \skip 4 \skip 32 \skip 32 \skip 32 "\dgrip" 
    \skip 4 \skip 32 \skip 32 \skip 32 "\egrip" 
    \skip 32 \skip 32 \skip 32 \skip 32 "\gripb" 
    \skip 32 \skip 32 \skip 32 \skip 32 "\gripc" 
    \skip 32 \skip 32 \skip 32 \skip 32 "\birl" 
    \skip 32 \skip 32 \skip 32 "\wbirl" 
    \skip 32 \skip 32 \skip 32  \skip 32 \skip 32 "\gbirl" 
    \skip 32 \skip 32 \skip 32  \skip 32 \skip 32 "\dbirl" 
    }
}

\score {
    {
    \set Staff.instrument = \markup { "Taorluath " }
    e \taor a d \dtaor a G \Gtaor a
    b \taoramb b c \taoramc c b \taoramd d
    }
    \addlyrics { 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 "\\taor" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 "\dtaor" 
    \skip 4 \skip 32 \skip 32 \skip 32 "\Gtaor" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\\taoramb" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\\taoramc" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\\taoramd" 
    }
}

\score {
    {
    \set Staff.instrument = \markup { "Crunluath " }
    e \crun e d \dcrun e G \Gcrun e
    b \crunamb e c \crunamc e b \crunamd e
    }
    \addlyrics { 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\\crun" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\dcrun" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\Gcrun" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\\crunamb" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\\crunamc" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\\crunamd" 
    }
}

\score {
    {
    \set Staff.instrument = \markup { \column { "Piobaireachd " "notation " } }
    e \cad c A \hcad c 
    e \gracad e d \grGcad d
    a \pthrwd d
    a \edre e G \embari g e \chedari g
    }
    \addlyrics { 
    \skip 4 \skip 32 \skip 8 \skip 32 "\cad" 
    \skip 4 \skip 8 \skip 32 "\hcad" 
    \skip 4 \skip 16 "\gracad" 
    \skip 4 \skip 16 "\grGcad" 
    \skip 4 \skip 16 \skip 32 \skip 32 "\pthrwd" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 "\edre" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 "\embari" 
    \skip 4 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 \skip 32 "\chedari" 
    }
}

\markup {
\column {
    \override #'(linewidth . 130)
    \justify {
    These are the specific bagpipe markups that are 
    available. You need to know alot more about entering normal music 
    in order to produce userful output. All of this is available in 
    the Lilypond tutorial and manual, as well as in the tips, regression 
    tests, and snippet repository.
    }
    \line { " " }
    \override #'(linewidth . 130)
    \justify {
    Check out \with-url #"http://www.lilypond.org/" {\bold www.lilypond.org} to learn
    more about this. All of these things are linked from the documentation
    page. Make sure you use the \bold 2.6.0 documentation - lots of
    things have changed since 2.4.0.
    }
}
}
